你好,游客 登录 注册 搜索
背景:
阅读新闻

CentOS及Red Hat Linux安装yum源

[日期:2017-02-05] 来源:Linux社区  作者:yingfengjia [字体: ]

前言:
Red Hat Linux的yum在线更新是收费的,未注册则不能使用,这个是要填序列号激活的,解决办法是更换为CentOS的yum。

  1. 查询原有的yum
    [root@orcl ~]# rpm -qa |grep yum
    yum-plugin-fastestmirror-1.1.30-37.el6.noarch
    yum-metadata-parser-1.1.2-16.el6.i686
    yum-utils-1.1.30-37.el6.noarch
    yum-plugin-security-1.1.30-37.el6.noarch
    yum-3.2.29-75.el6.centos.noarch
    yum-rhn-plugin-0.9.1-43.el6.noarch

  2. 删除原有的yum
    [root@orcl ~]# rpm -aq|grep yum|xargs rpm -e –nodeps
    [root@orcl ~]# rpm -qa |grep yum
    [root@orcl ~]#

  3. 查询原有yum配置
    [root@orcl ~]# whereis yum
    yum: /etc/yum
    [root@orcl ~]# rm -fr /etc/yum

  4. 下载需要的安装包
    http://mirrors.163.com/centos/6.8/os/i386/Packages/
    系统为32的,所以我选择i386。64的自行查找x86_64。可以使用 wget http://mirrors.163.com/centos/6.8/os/i386/Packages/yum-3.2.29-73.el6.centos.noarch.rpm 下载
    yum-3.2.29-73.el6.centos.noarch.rpm
    yum-plugin-fastestmirror-1.1.30-37.el6.noarch.rpm
    yum-metadata-parser-1.1.2-16.el6.i686.rpm
    Python-iniparse-0.3.1-2.1.el6.noarch.rpm

  5. 安装python
    [root@orcl ~]# rpm -ivh python-iniparse-….noarch.rpm
    warning: python-iniparse-0.4-9.el7.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID f4a80eb5: NOKEY
    error: Failed dependencies:
    python(abi) = 2.7 is needed by python-iniparse-0.4-9.el7.noarch
    当前安装版本与服务器不兼容,退后一个版本再试。查看当前发行版本号 cat /etc/issue

错误:系统位数与安装程序包位数不一致 file /bin/ls
error: Failed dependencies:
libc.so.6()(64bit) is needed by yum-metadata-parser-1.1.2-16.el6.x86_64
libc.so.6(GLIBC_2.2.5)(64bit) is needed by yum-metadata-parser-1.1.2-16.el6.x86_64
libglib-2.0.so.0()(64bit) is needed by yum-metadata-parser-1.1.2-16.el6.x86_64
libpthread.so.0()(64bit) is needed by yum-metadata-parser-1.1.2-16.el6.x86_64
libpython2.6.so.1.0()(64bit) is needed by yum-metadata-parser-1.1.2-16.el6.x86_64
libsqlite3.so.0()(64bit) is needed by yum-metadata-parser-1.1.2-16.el6.x86_64
libxml2.so.2()(64bit) is needed by yum-metadata-parser-1.1.2-16.el6.x86_64
libxml2.so.2(LIBXML2_2.4.30)(64bit) is needed by yum-metadata-parser-1.1.2-16.el6.x86_64

重新下载32位程序包
[root@orcl ~]# rpm -ivh python-iniparse-0.3.1-2.1.el6.noarch.rpm
Preparing… ########################################### [100%]
package python-iniparse-0.3.1-2.1.el6.noarch is already installed
[root@orcl ~]# rpm -ivh yum-metadata-parser-1.1.2-16.el6.i686.rpm
Preparing… ########################################### [100%]
1:yum-metadata-parser ########################################### [100%]
[root@orcl ~]# rpm -ivh yum-3.2.29-73.el6.centos.noarch.rpm yum-plugin-fastestmirror-1.1.30-37.el6.noarch.rpm
Preparing… ########################################### [100%]
1:yum-plugin-fastestmirro########################################### [ 50%]
2:yum ########################################### [100%]
[root@orcl ~]#
注意最后两个包必需同时安装,否则会相互依赖

更改yum源(使用网易的CentOS镜像源)
[root@localhost yum]# cd /etc/yum.repos.d/
[root@localhost yum.repos.d]# rm -rf *
[root@localhost yum.repos.d]# wget http://mirrors.163.com/.help/CentOS6-Base-163.repo
[root@localhost yum.repos.d]# vi CentOS6-Base-163.repo
将所有 $releasever 修改为具体的版本号,我这里写的是6.8,这个自己打开(http://mirrors.163.com/centos)找一下就可以。

# CentOS-Base.repo
#
# The mirror system uses the connecting IP address of the client and the
# update status of each mirror to pick mirrors that are updated to and
# geographically close to the client.  You should use this for CentOS updates
# unless you are manually picking other mirrors.
#
# If the mirrorlist= does not work for you, as a fall back you can try the 
# remarked out baseurl= line instead.
#
#

[base]
name=CentOS-$releasever - Base - 163.com
baseurl=http://mirrors.163.com/centos/6.8/os/$basearch/
#mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=os
gpgcheck=1
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-6

#released updates 
[updates]
name=CentOS-$releasever - Updates - 163.com
baseurl=http://mirrors.163.com/centos/6.8/updates/$basearch/
#mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=updates
gpgcheck=1
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-6

#additional packages that may be useful
[extras]
name=CentOS-$releasever - Extras - 163.com
baseurl=http://mirrors.163.com/centos/6.8/extras/$basearch/
#mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=extras
gpgcheck=1
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-6

#additional packages that extend functionality of existing packages
[centosplus]
name=CentOS-$releasever - Plus - 163.com
baseurl=http://mirrors.163.com/centos/6.8/centosplus/$basearch/
#mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=centosplus
gpgcheck=1
enabled=0
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-6

#contrib - packages by Centos Users
[contrib]
name=CentOS-$releasever - Contrib - 163.com
baseurl=http://mirrors.163.com/centos/6.8/contrib/$basearch/
#mirrorlist=http://mirrorlist.centos.org/?release=$releasever&arch=$basearch&repo=contrib
gpgcheck=1
enabled=0
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-6

清理yum缓存
yum clean all

显示已安程序包及可安程序包
yum list

可以按要求更新程序包或安装
yum update / yum install 包名

到此结束了,亲们。

更多YUM相关教程见以下内容

RedHat 6.2 Linux修改yum源免费使用CentOS源 http://www.linuxidc.com/Linux/2013-07/87383.htm

RHEL7 本地yum源配置 http://www.linuxidc.com/Linux/2017-01/139140.htm

CentOS 7 使用阿里云的yum源、PIP源 http://www.linuxidc.com/Linux/2017-01/13966.htm

CentOS 7更改yum源与更新系统 http://www.linuxidc.com/Linux/2017-01/140067.htm

redhat7.0配置本地yum源  http://www.linuxidc.com/Linux/2017-01/139148.htm 

RedHat 6.1下安装yum(图文) http://www.linuxidc.com/Linux/2013-06/86535.htm

YUM 安装及清理 http://www.linuxidc.com/Linux/2013-07/87163.htm

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-02/140205.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款